Package org.jbpm.process.workitem.core

## Class AbstractWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.core.AbstractWorkItemHandler

- All Implemented Interfaces:
    `org.kie.api.runtime.process.WorkItemHandler`

      public abstract class AbstractWorkItemHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractWorkItemHandler​(org.kie.api.runtime.KieSession ksession)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.runtime.process.NodeInstance` | `getNodeInstance​(org.kie.api.runtime.process.WorkItem workItem)` |
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance​(org.kie.api.runtime.process.WorkItem workItem)` |
    `long` | `getProcessInstanceId​(org.kie.api.runtime.process.WorkItem workItem)` |
    `org.kie.api.runtime.KieSession` | `getSession()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.process.WorkItemHandler

      `abortWorkItem, executeWorkItem`

- - ### Constructor Detail

    - #### AbstractWorkItemHandler

          public AbstractWorkItemHandler​(org.kie.api.runtime.KieSession ksession)

  - ### Method Detail

    - #### getSession

          public org.kie.api.runtime.KieSession getSession()

    - #### getProcessInstanceId

          public long getProcessInstanceId​(org.kie.api.runtime.process.WorkItem workItem)

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance​(org.kie.api.runtime.process.WorkItem workItem)

    - #### getNodeInstance

          public org.kie.api.runtime.process.NodeInstance getNodeInstance​(org.kie.api.runtime.process.WorkItem workItem)